DO $$
DECLARE
	_path  character varying(256) := 'patch-2026_03_23-ProhibitingPolicies_AddExcludeForSelectedMembers';
	_build integer := 16225;
BEGIN
	IF EXISTS (SELECT 1 FROM public."Versions" WHERE "Path" = _path) THEN
		RETURN;
	END IF;

	IF EXISTS (SELECT 1 FROM public."Versions" WHERE "Build" >= _build) THEN
		RETURN;
	END IF;

	BEGIN
        ALTER TABLE public."ProhibitingPolicies" ADD "ExcludeForSelectedMembers" bool DEFAULT false NOT NULL;


    EXCEPTION
		WHEN OTHERS THEN
			RAISE NOTICE '[ERR] %: %', _path, SQLERRM;
	END;
END;
$$;
